View Issue Details

IDProjectCategoryView StatusLast Update
0004977Talerwallet (browser-based)public2017-06-06 14:18
ReporterChristian GrothoffAssigned ToFlorian Dold 
PriorityurgentSeverityblockReproducibilityalways
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004977: withdrawing coins on demo fails with FF plugin
DescriptionI've reproduced this with the latest FF on W32 and on Debian GNU/Linux as well now. The exchange-selection page is just blank, instead of showing the fees and asking for confirmation.
TagsNo tags attached.

Activities

Christian Grothoff

2017-04-12 15:56

manager   ~0012032

If I enable JavaScript for the bank, I get a _bit_ further. So the first issue definitively relates to the JS-less bank.

However, after enabling JavaScript I still cannot withdraw, this time I get on the 'accept fees and withdraw' page the error:

Error: exception (reduce of empty array with no initial value)

[after expanding to the detailed view]. The exchange logs do report an access to /keys, but nothing more.

Christian Grothoff

2017-04-12 16:02

manager   ~0012033

Logs say:

error response Object { error: "exception", hint: "reduce of empty array with no initi…", stack: "getReserveCreationInfo/<@moz-extens…" }

Location:

   function getReserveCreationInfo(baseUrl, amount) {
        let m = { type: "reserve-creation-info", detail: { baseUrl, amount } };
        return new Promise((resolve, reject) => {
            chrome.runtime.sendMessage(m, (resp) => {
                if (resp.error) {
                    console.error("error response", resp); // HERE!
                    let e = Error("call to reserve-creation-info failed");
                    e.errorResponse = resp;
                    reject(e);
                    return;
                }
                resolve(resp);
            });
        });
    }


Don't see how to get the original stack trace from where this was thrown.

Christian Grothoff

2017-04-12 16:04

manager   ~0012034

Got something (maybe). From the 'resp' object in the debugger, I get:

/lib/wallet/wallet.js:754:46fulfilled@moz-extension://76f34cdc-dbc7-4483-a04b-d634dcf83232/lib/wallet/wallet.js:27:52

Florian Dold

2017-04-26 03:38

manager   ~0012067

With the latest git wallet and latest firefox nightly it works.

The bank only offers the JS-free version of withdrawal, which required some compatibility fixes (see 0004997).

Issue History

Date Modified Username Field Change
2017-03-28 16:12 Christian Grothoff New Issue
2017-03-28 16:12 Christian Grothoff Status new => assigned
2017-03-28 16:12 Christian Grothoff Assigned To => Florian Dold
2017-04-12 15:56 Christian Grothoff Note Added: 0012032
2017-04-12 16:02 Christian Grothoff Note Added: 0012033
2017-04-12 16:04 Christian Grothoff Note Added: 0012034
2017-04-12 16:05 Christian Grothoff Description Updated View Revisions
2017-04-26 03:38 Florian Dold Status assigned => resolved
2017-04-26 03:38 Florian Dold Resolution open => fixed
2017-04-26 03:38 Florian Dold Note Added: 0012067
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed